summaryrefslogtreecommitdiff
path: root/utils/syncscripts.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils/syncscripts.sh')
-rwxr-xr-xutils/syncscripts.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/utils/syncscripts.sh b/utils/syncscripts.sh
new file mode 100755
index 00000000..533b77cc
--- /dev/null
+++ b/utils/syncscripts.sh
@@ -0,0 +1,39 @@
+#!/bin/sh -e
+# Run this script to sync dual lived scripts from scripts.irssi.org to scripts/
+
+PKG_NAME="Irssi"
+
+scriptbase=https://scripts.irssi.org/scripts
+
+srcdir=`dirname "$0"`
+test -z "$srcdir" && srcdir=.
+srcdir="$srcdir"/..
+
+if test ! -f "$srcdir"/configure.ac; then
+ echo -n "**Error**: Directory \`$srcdir' does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+fi
+
+dl2='curl -Ssf'
+
+dl_it() {
+ echo "$1"
+ $dl2 -o "$srcdir/scripts/$1" "$scriptbase/$1"
+}
+
+for script in \
+ autoop.pl \
+ autorejoin.pl \
+ buf.pl \
+ dns.pl \
+ kills.pl \
+ mail.pl \
+ mlock.pl \
+ quitmsg.pl \
+ scriptassist.pl \
+ usercount.pl \
+ ;
+do
+ dl_it $script
+done